Subject: bug#16772: closed (Re: bug#16772: Failure in "make install" on MS-Windows)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 17 Feb 2014 19:07:05 +0000

Your bug report

#16772: Failure in "make install" on MS-Windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16772: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16772
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16772: Failure in "make install" on MS-Windows
From: Juanma Barranquero <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Feb 2014 20:05:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Feb 17, 2014 at 8:01 PM, Dani Moncayo <[email-masked]> wrote:

> I mean this patch (I've just realized that you sent two):

Ha, too late. I've commited both. I think both make sense.

Closing (again),

    J

Subject: Re: Failure in "make install" on MS-Windows
From: Juanma Barranquero <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: Bug-Gnu-Emacs <[email-masked]>
Date: Sun, 16 Feb 2014 22:40:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.3.50

On Sun, Feb 16, 2014 at 10:23 PM, Dani Moncayo <[email-masked]> wrote:
> Hi,
>
> I've just tried to make a full bootstrap + "make install", on
> MS-Windows and from the current trunk (last time I tried was 13 days
> ago), and "make install" fails like this:

Why didn't you file a bug report for it?

> Installing utilities for users to run.
> umask 022; /bin/mkdir -p
> "/usr/home/dani/emacs/install/emacs-r116453-20140216-w32-bin/bin"
> for file in runemacs.exe addpm.exe ; do \
>   /bin/install -c  ${file}
> "/usr/home/dani/emacs/install/emacs-r116453-20140216-w32-bin/bin"/`echo
> ${file} | sed -e 's/.exe$//' -e 's,x,x,'`.exe ; \
> done
> /bin/install -c -m 644 README.W32
> "/usr/home/dani/emacs/install/emacs-r116453-20140216-w32-bin/share/emacs/24.3.50"
> /bin/install: cannot stat `README.W32': No such file or directory
> Makefile:168: recipe for target `install' failed
> make[1]: *** [install] Error 1
> make[1]: Leaving directory `/usr/home/dani/emacs/build/nt'
> Makefile:509: recipe for target `install-nt' failed
> make: *** [install-nt] Error 2
>
>
> Commit 116425 is related to "README.W32", so the problem might come from there.

I'm pretty sure that's the problem, yes.

Which directory is current when the "/bin/install ... README.32"
command is executed?